Subject: Re: [PATCH] kasan: Fix Oops due to missing calls to kasan_arch_is_ready()

From: Michael Ellerman <[email-masked]>
Date: Fri, 27 Jan 2023 15:50:01 +1100

Andrew Morton <[email-masked]> writes:
> On Thu, 26 Jan 2023 08:04:47 +0100 Christophe Leroy <[email-masked]> wrote:
>
>> On powerpc64, you can build a kernel with KASAN as soon as you build it
>> with RADIX MMU support. However if the CPU doesn't have RADIX MMU,
>> KASAN isn't enabled at init and the following Oops is encountered.
>
> Should we backport to -stable?  If so, can we identify a suitable Fixes: target?

It would be nice if it went to stable, but I'd defer to the Kasan maintainers.

The kasan_arch_is_ready() checks went in a while back, but there wasn't
a meaningful user until the powerpc support went in, so I'd target that:

Fixes: 41b7a347bf14 ("powerpc: Book3S 64-bit outline-only KASAN support")
Cc: [email-masked] # v5.19+

cheers